# SourceComponentSpec

@Incubating
interface SourceComponentSpec : ComponentSpec

Represents some component whose implementation can be represented as a collection of source files, and whose other outputs are built from this source.

#### Inheritors

GeneralComponentSpec

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
getSources
Link copied to clipboard
abstract fun getSources(): ModelMap<LanguageSourceSet>
The source sets for this component.